/*-------------------------------------------------------------------------+
| Copyright 2018 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.annotation.editingsupport;

import java.util.Collection;

import org.eclipse.jface.window.Window;
import org.fortiss.tooling.base.model.element.IAnnotatedSpecification;

/**
 * Interface for dialogs for editing {@link IAnnotatedSpecification}s that can hold multiple values.
 * 
 * @author barner
 */
public interface IMultiValueAnnotationDialog<T> {

	/** Opens the dialog. See {@link Window#open()}. */
	public int open();

	/** Returns the elements entered/selected in the dialog. */
	Collection<T> getElements();
}
