/*-------------------------------------------------------------------------+
| Copyright 2019 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.editor;

import org.eclipse.gef.ui.actions.ZoomComboContributionItem;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.ui.IPartService;

/**
 * Overwrites {@link ZoomComboContributionItem} to fix the height adjustment of the zoom combo box.
 * 
 * @author diewald
 */
public class ZoomComboContributionItemFixed extends ZoomComboContributionItem {

	/** See {@link ZoomComboContributionItem#ZoomComboContributionItem(IPartService)}. */
	public ZoomComboContributionItemFixed(IPartService partService) {
		super(partService);
	}

	/** See {@link ZoomComboContributionItem#ZoomComboContributionItem(IPartService, String)}. */
	public ZoomComboContributionItemFixed(IPartService partService, String initString) {
		super(partService, initString);
	}

	/** See {@link ZoomComboContributionItem#ZoomComboContributionItem(IPartService, String[])}. */
	public ZoomComboContributionItemFixed(IPartService partService, String[] initStrings) {
		super(partService, initStrings);
	}

	/** {@inheritDoc} */
	@Override
	protected Control createControl(Composite parent) {
		Control control = super.createControl(parent);
		parent.setSize(control.computeSize(SWT.DEFAULT, SWT.DEFAULT));
		return control;
	}
}
