/*-------------------------------------------------------------------------+
| Copyright 2017 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.ui.extension;

import org.eclipse.emf.ecore.EObject;
import org.fortiss.tooling.kernel.ui.extension.base.ModelEditorBindingBase;

/**
 * A special model editor binding that can be used to indicate that for some model element type no
 * editor is available.
 * 
 * @author barner
 */
public final class ModelEditorNotAvailableBinding extends ModelEditorBindingBase<EObject> {
	// Nothing to do: The type ModelEditorNotAvailableBinding is used in ModelEditorBindingService
	// to make a case distinction for model elements without dedicated editors.
}
