/*-------------------------------------------------------------------------+
| Copyright 2013 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.extension.data;

import org.fortiss.tooling.kernel.extension.IStorageProvider;

/**
 * Class for reporting errors during the load operation of {@link IStorageProvider}s.
 * 
 * @author hoelzl
 */
public class ModelStorageError {

	/** The cause exception. */
	private Exception cause;

	/** The error message. */
	private String message;

	/** Constructor. */
	public ModelStorageError(String msg, Exception cause) {
		this.message = msg;
		this.cause = cause;
	}

	/** Returns the exception that caused the model storage error. */
	public Exception getCause() {
		return cause;
	}

	/** Returns the error message. */
	public String getMessage() {
		return message;
	}
}
