/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.lib.commons.equals;

/**
 * {@link IEquator} using the normal equals (but respecting null).
 * 
 * @author $Author: deissenb $
 * @version $Rev: 35185 $
 * @ConQAT.Rating GREEN Hash: 43EE3DC57CDF33A48C890D022B874E55
 */
public class DefaultEquator<T> implements IEquator<T> {

	/** Singleton instance. */
	@SuppressWarnings("rawtypes")
	public static final DefaultEquator INSTANCE = new DefaultEquator();

	/** {@inheritDoc} */
	@Override
	public boolean equals(T element1, T element2) {
		if (element1 == null) {
			return element2 == null;
		}
		if (element2 == null) {
			return false;
		}

		return element1.equals(element2);
	}

}